extends Node

export var character_data : Resource

func spawn():
	var inst = character_data.scene.instance()
	inst.name = character_data.name
	if character_data.yarn != null:
		inst.yarn_script = character_data.yarn
	add_child(inst)
